import axios from '../utils/axios';
import { stringToUrl } from '@/common/js/utils';
// 注册
export function register(params) {
  return axios.post('/SZWL-SERVER/user/register', params);
}
// 发送验证码
export function sentRegisterCode(params) {
  return axios.post(`/SZWL-SERVER/tMessageCode/sentRegisterCode?${stringToUrl(params)}`, params);
}
// 获取已有关联上级的名称
export function tAdminGetRelation(params) {
  return axios.get(`/SZWL-SERVER/tAdmin/getRelationAdminUsername?${stringToUrl(params)}`, params);
}
// 三级联动获取地址
export function Api_getArea(params) {
  return axios.get(`/SZWL-SERVER/tArea/getArea`, {params});
}
// 地址回显
export function Api_getAreaDetail(params) {
  return axios.get(`/SZWL-SERVER/tArea/getById`, {params});
}
// 是否海外用户
export function getIfForeign(adminId) {
  return axios.get(`/SZWL-SERVER/tAdmin/getIfForeign/${adminId}`);
}
// 批量修改支付平台
export function updatePayPlatform(params) {
  return axios.get(`/SZWL-SERVER/tAdmin/updatePayPlatform?${stringToUrl(params)}`, params);
} 